# enable_gtkdoc: toggle if gtk-doc stuff should be rebuilt.
#	0 = no
#	1 = yes
%define enable_gtkdoc	1

# End of user configurable section
%{?_without_gtkdoc: %{expand: %%define enable_gtkdoc 0}}
%{?_with_gtkdoc: %{expand: %%define enable_gtkdoc 1}}

%define api_version	2
%define lib_major	0
%define lib_name    %mklibname bonobo %{api_version} %{lib_major}
%define develname %mklibname -d bonobo %{api_version} %lib_major

Name:		libbonobo
Summary:	Library for compound documents in GNOME
Version:	2.32.1
Release:	%mkrel 3
License:	GPLv2+ and LGPLv2+
URL:		http://www.gnome.org/
Group:		System/Libraries
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2

BuildRequires: bison 
BuildRequires: flex
BuildRequires: pkgconfig(gio-2.0) >= 2.25.7
BuildRequires: pkgconfig(glib-2.0) >= 2.25.7
BuildRequires: pkgconfig(gmodule-2.0) >= 2.0.1
BuildRequires: pkgconfig(gobject-2.0) >= 2.25.7
BuildRequires: pkgconfig(gthread-2.0) >= 2.25.7
BuildRequires: pkgconfig(libxml-2.0) >= 2.4.20
BuildRequires: pkgconfig(ORBit-2.0) >= 2.11.2
BuildRequires: pkgconfig(ORBit-CosNaming-2.0) >= 2.11.2
BuildRequires: pkgconfig(popt)
BuildRequires: intltool
BuildRequires: automake
%if %enable_gtkdoc
BuildRequires:	gtk-doc >= 0.9
%endif
Requires:	%{lib_name} = %{version}
Obsoletes: bonobo-activation
Provides: bonobo-activation

%description
Bonobo is a library that provides the necessary framework for GNOME
applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.

This package contains various needed modules and files for bonobo 2
to operate.


%package -n %{lib_name}
Summary:	Library for compound documents in GNOME
Group:		%{group}
Requires:	%{name} >= %{version}
Obsoletes:  libbonobo-activation4
Provides:	libbonobo-activation4
Provides:	libbonobo-activation

%description -n %{lib_name}
Bonobo is a library that provides the necessary framework for GNOME
applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.

This package provides libraries to use Bonobo.


%package -n %develname
Summary:	Static libraries, include files and sample code for Bonobo 2
Group:		Development/GNOME and GTK+
# Intentional, the name libbonobo2-devel was already used for bonobo 1.0.x
Provides:	%{name}%{api_version}_x-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	%{name} = %{version}
Requires:	pkgconfig(popt)
Obsoletes:	libbonobo-activation4-devel < %{version}-%{release}
Provides:	libbonobo-activation4-devel = %{version}-%{release}
Provides:	libbonobo-activation-devel = %{version}-%{release}

%description -n %develname
Bonobo is a library that provides the necessary framework for GNOME
applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.

This package provides the necessary development libraries and include
files to allow you to develop programs using the Bonobo document model;
it includes demonstration executables and codes as well.


%prep
%setup -q

%build
%configure2_5x --disable-static \
%if %enable_gtkdoc
--enable-gtk-doc
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%{find_lang} %{name}-2.0

find %{buildroot} -name *.la | xargs rm
rm -f %{buildroot}%{_libdir}/bonobo/servers/{empty,broken,plugin}.server

%clean
rm -rf %{buildroot}

%files -f %{name}-2.0.lang
%defattr(-, root, root)
%doc README NEWS AUTHORS
%config(noreplace) %{_sysconfdir}/bonobo-activation
%{_bindir}/*
%{_sbindir}/*
%{_libdir}/bonobo-activation-server
%{_datadir}/idl/*
%dir %{_libdir}/bonobo
%dir %{_libdir}/bonobo/monikers
%{_libdir}/bonobo/monikers/*.so*
%dir %{_libdir}/bonobo/servers
%{_libdir}/bonobo/servers/*
%{_libdir}/bonobo-2.0
%{_libdir}/orbit-2.0/*.so*
%{_mandir}/man1/*

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/libbonobo-2.so.0*
%_libdir/libbonobo-activation.so.4*

%files -n %develname
%defattr(-, root, root)
%doc changes.txt TODO ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/libbonobo*.so
%{_libdir}/pkgconfig/*


%changelog

* Tue Sep 13 2011 fwang <fwang> 2.32.1-3.mga2
+ Revision: 142901
- update br
- drop .la files

* Sun May 15 2011 pterjan <pterjan> 2.32.1-2.mga1
+ Revision: 99020
- Rebuild for fixed find-requires

* Sat Apr 16 2011 pterjan <pterjan> 2.32.1-1.mga1
+ Revision: 86632
- Update to 2.32.1

* Tue Jan 11 2011 blino <blino> 2.32.0-3.mga1
+ Revision: 6465
- remove old ldconfig scriptlets
- imported package libbonobo

